/**
 * Database Management API
 * Use the Database Management API to perform tasks such as obtaining performance and resource usage metrics
for a fleet of Managed Databases or a specific Managed Database, creating Managed Database Groups, and
running a SQL job on a Managed Database or Managed Database Group.

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Storage size.
 */
export interface TablespaceStorageSize {
    /**
     * Storage size number in bytes, kilobytes, megabytes, gigabytes, or terabytes.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "size": number;
    /**
     * Storage size unit: bytes, kilobytes, megabytes, gigabytes, or terabytes.
     *
     */
    "unit"?: TablespaceStorageSize.Unit;
}
export declare namespace TablespaceStorageSize {
    enum Unit {
        Bytes = "BYTES",
        Kilobytes = "KILOBYTES",
        Megabytes = "MEGABYTES",
        Gigabytes = "GIGABYTES",
        Terabytes = "TERABYTES"
    }
    function getJsonObj(obj: TablespaceStorageSize): object;
    function getDeserializedJsonObj(obj: TablespaceStorageSize): object;
}
