/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (FSDR) API to manage disaster recovery for business applications.
FSDR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster recovery
capabilities for all layers of an application stack, including infrastructure, middleware, database, and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A compute instance's source and destination VNIC mapping.
 */
export interface ComputeInstanceVnicMappingDetails {
    /**
      * The OCID of the VNIC.
  * <p>
  Example: `ocid1.vnic.oc1.phx.&lt;unique_id&gt;`
  *
      */
    "sourceVnicId": string;
    /**
      * The OCID of the destination (remote) subnet to which this VNIC should connect.
  * <p>
  Example: `ocid1.subnet.oc1.iad.&lt;unique_id&gt;`
  *
      */
    "destinationSubnetId": string;
    /**
      * The primary private IP address to assign. This address must belong to the destination subnet.
  * <p>
  Example: `10.0.3.3`
  *
      */
    "destinationPrimaryPrivateIpAddress"?: string;
    /**
      * The hostname to assign for this primary private IP.
  * The value is the hostname portion of the private IP's fully qualified domain name (FQDN)
  * (for example, bminstance1 in FQDN bminstance1.subnet123.vcn1.oraclevcn.com).
  * <p>
  Example: `bminstance1`
  *
      */
    "destinationPrimaryPrivateIpHostnameLabel"?: string;
    /**
      * A list of network security group (NSG) IDs in the destination region which this VNIC should use.
  * <p>
  Example: `[ ocid1.networksecuritygroup.oc1.iad.&lt;unique_id&gt;, ocid1.networksecuritygroup.oc1.iad.&lt;unique_id&gt; ]`
  *
      */
    "destinationNsgIdList"?: Array<string>;
}
export declare namespace ComputeInstanceVnicMappingDetails {
    function getJsonObj(obj: ComputeInstanceVnicMappingDetails): object;
    function getDeserializedJsonObj(obj: ComputeInstanceVnicMappingDetails): object;
}
