/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (FSDR) API to manage disaster recovery for business applications.
FSDR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster recovery
capabilities for all layers of an application stack, including infrastructure, middleware, database, and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of a plan group in a DR Plan.
 */
export interface DrPlanGroup {
    /**
      * The unique id of this group. Must not be modified by user.
  * <p>
  Example: `sgid1.group..&lt;unique_id&gt;`
  *
      */
    "id": string;
    /**
     * The plan group type.
     *
     */
    "type": model.DrPlanGroupType;
    /**
      * The display name of this DR Plan Group.
  * <p>
  Example: `DATABASE_SWITCHOVER`
  *
      */
    "displayName": string;
    /**
     * The list of steps in this plan group.
     *
     */
    "steps": Array<model.DrPlanStep>;
}
export declare namespace DrPlanGroup {
    function getJsonObj(obj: DrPlanGroup): object;
    function getDeserializedJsonObj(obj: DrPlanGroup): object;
}
