/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (FSDR) API to manage disaster recovery for business applications.
FSDR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster recovery
capabilities for all layers of an application stack, including infrastructure, middleware, database, and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Properties for a Movable Compute Instance member of a DR Protection Group.
 */
export interface DrProtectionGroupMemberComputeInstanceMovable extends model.DrProtectionGroupMember {
    /**
      * A flag indicating if this compute instance should be moved to the same fault domain.
  * Compute instance launch will fail if this flag is set to true and capacity is not available in that specific fault domain in the destination region.
  * <p>
  Example: `false`
  *
      */
    "isRetainFaultDomain"?: boolean;
    /**
      * The OCID of the capacity reservation in the destination region using which this compute instance
  * should be launched.
  * <p>
  Example: `ocid1.capacityreservation.oc1..&lt;unique_id&gt;`
  *
      */
    "destinationCapacityReservationId"?: string;
    /**
     * A list of compute instance VNIC mappings.
     *
     */
    "vnicMappings"?: Array<model.ComputeInstanceMovableVnicMapping>;
    /**
      * The OCID of the compartment for this compute instance in the destination region.
  * <p>
  Example: `ocid1.compartment.oc1..&lt;unique_id&gt;`
  *
      */
    "destinationCompartmentId"?: string;
    /**
      * The OCID of the dedicated VM Host for this compute instance in the destination region.
  * <p>
  Example: `ocid1.dedicatedvmhost.oc1..&lt;unique_id&gt;`
  *
      */
    "destinationDedicatedVmHostId"?: string;
    "memberType": string;
}
export declare namespace DrProtectionGroupMemberComputeInstanceMovable {
    function getJsonObj(obj: DrProtectionGroupMemberComputeInstanceMovable, isParentJsonObj?: boolean): object;
    const memberType = "COMPUTE_INSTANCE_MOVABLE";
    function getDeserializedJsonObj(obj: DrProtectionGroupMemberComputeInstanceMovable, isParentJsonObj?: boolean): object;
}
