/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (FSDR) API to manage disaster recovery for business applications.
FSDR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster recovery
capabilities for all layers of an application stack, including infrastructure, middleware, database, and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Run Local Script step details.
 */
export interface RunLocalScriptUserDefinedStep extends model.DrPlanUserDefinedStep {
    /**
      * The OCID of the instance where this script or command should be executed.
  * <p>
  Example: `ocid1.instance.oc1.phx.&lt;unique_id&gt;`
  *
      */
    "runOnInstanceId": string;
    /**
      * The region in which the instance is present.
  * <p>
  Example: `us-phoenix-1`
  *
      */
    "runOnInstanceRegion": string;
    /**
      * The script name and arguments.
  * <p>
  Example: `/usr/bin/python3 /home/opc/scripts/my_app_script.py arg1 arg2 arg3`
  *
      */
    "scriptCommand": string;
    /**
      * The userid on the instance to be used for executing the script or command.
  * <p>
  Example: `opc`
  *
      */
    "runAsUser"?: string;
    "stepType": string;
}
export declare namespace RunLocalScriptUserDefinedStep {
    function getJsonObj(obj: RunLocalScriptUserDefinedStep, isParentJsonObj?: boolean): object;
    const stepType = "RUN_LOCAL_SCRIPT";
    function getDeserializedJsonObj(obj: RunLocalScriptUserDefinedStep, isParentJsonObj?: boolean): object;
}
