/**
 *
 *
 * OpenAPI spec version: 20211101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.67.0/mediaservices/ListMediaWorkflowJobFacts.ts.html |here} to see how to use ListMediaWorkflowJobFactsRequest.
 */
export interface ListMediaWorkflowJobFactsRequest extends common.BaseRequest {
    /**
     * Unique MediaWorkflowJob identifier.
     */
    "mediaWorkflowJobId": string;
    /**
     * Filter by MediaWorkflowJob ID and MediaWorkflowJobFact key.
     *
     */
    "key"?: number;
    /**
     * Types of details to include.
     */
    "type"?: ListMediaWorkflowJobFactsRequest.Type;
    /**
     * Types of details to include.
     */
    "sortBy"?: model.MediaWorkflowJobFactSortBy;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * A token representing the position at which to start retrieving results. This must come from the
     * `opc-next-page` header field of a previous response.
     *
     */
    "page"?: string;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
export declare namespace ListMediaWorkflowJobFactsRequest {
    enum Type {
        RunnableJob = "runnableJob",
        TaskDeclaration = "taskDeclaration",
        Workflow = "workflow",
        Configuration = "configuration",
        ParameterResolutionEvent = "parameterResolutionEvent"
    }
}
