/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for the operating system environments in your private data centers through a single management console. For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).
Use the table of contents and search tool to explore the  OS Management Hub API.

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A software source which can be added to a managed instance. Once a software source is added, packages from that software source can be installed on that managed instance.
 */
export interface AvailableSoftwareSourceSummary {
    /**
     * unique identifier that is immutable on creation.
     */
    "id": string;
    /**
     * The OCID for the compartment.
     */
    "compartmentId": string;
    /**
     * User friendly name for the software source.
     */
    "displayName": string;
}
export declare namespace AvailableSoftwareSourceSummary {
    function getJsonObj(obj: AvailableSoftwareSourceSummary): object;
    function getDeserializedJsonObj(obj: AvailableSoftwareSourceSummary): object;
}
