/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for the operating system environments in your private data centers through a single management console. For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).
Use the table of contents and search tool to explore the  OS Management Hub API.

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Information for updating a custom or software source.
 */
export interface UpdateCustomSoftwareSourceDetails extends model.UpdateSoftwareSourceDetails {
    /**
     * List of vendor software sources.
     */
    "vendorSoftwareSources"?: Array<model.Id>;
    "customSoftwareSourceFilter"?: model.CustomSoftwareSourceFilter;
    /**
     * Indicates whether service should automatically update the custom software source for the user.
     */
    "isAutomaticallyUpdated"?: boolean;
    "softwareSourceType": string;
}
export declare namespace UpdateCustomSoftwareSourceDetails {
    function getJsonObj(obj: UpdateCustomSoftwareSourceDetails, isParentJsonObj?: boolean): object;
    const softwareSourceType = "CUSTOM";
    function getDeserializedJsonObj(obj: UpdateCustomSoftwareSourceDetails, isParentJsonObj?: boolean): object;
}
