/**
 * Queue API
 * A description of the Queue API
 * OpenAPI spec version: 20210201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Represents the result of a UpdateMessages request, whether it was successful or not.
 * If a message was successfully updated in the queue, the entry includes the `id` and `visibleAfter` fields.
 * If a message failed to be updated in the queue, the entry includes the `errorCode` and `errorMessage` fields.
 *
 */
export interface UpdateMessagesResultEntry {
    /**
     * The id of the message that's been updated. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "id"?: number;
    /**
     * The time after which the message will be visible to other consumers. An RFC3339 formatted datetime string
     */
    "visibleAfter"?: Date;
    /**
     * The error code, in case the message was not successfully updated in the queue. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "errorCode"?: number;
    /**
     * A human-readable error message associated with the error code.
     */
    "errorMessage"?: string;
}
export declare namespace UpdateMessagesResultEntry {
    function getJsonObj(obj: UpdateMessagesResultEntry): object;
    function getDeserializedJsonObj(obj: UpdateMessagesResultEntry): object;
}
